// Win32Form1.cs
namespace Leon {
    
    using System;
    using System.Drawing;
    using System.ComponentModel;
    using System.WinForms;
    using System.Data;
    /// <summary>
    ///    Summary description for Win32Form1.
    /// </summary>
    public class DataForm : System.WinForms.Form {

        /// <summary> 
        ///    Required by the Win Forms designer 
        /// </summary>
	private System.ComponentModel.Container components;
    
    private System.WinForms.DataGrid ShowTables;
    private DataSet LeonDataSet = new DataSet();    
        public DataForm() {

            // Required for Win Form Designer support
            InitializeComponent();


            // TODO: Add any constructor code after InitializeComponent call

        }

        /// <summary>
        ///    Clean up any resources being used
        /// </summary>
        public override void Dispose() {
            base.Dispose();
            components.Dispose();
        }


        private void InitializeComponent()
	{
		this.components = new System.ComponentModel.Container();
		//  datagrid
		this.ShowTables = new System.WinForms.DataGrid();
		//  
		ShowTables.BeginInit();
		
		//@design this.TrayHeight = 90;
		//@design this.TrayLargeIcon = false;
		//@design this.TrayAutoArrange = true;
		ShowTables.Location = new System.Drawing.Point(24, 16);
		ShowTables.ReadOnly = false;
		ShowTables.Size = new System.Drawing.Size(304, 136);
		ShowTables.DataMember = "";
		ShowTables.TabIndex = 0;
		ShowTables.CaptionVisible = false;
        
		this.Text = "DataGrid";
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(368, 300);
		
		this.Controls.Add(ShowTables);
		ShowTables.EndInit();
        //   customers
		DataTable FirstTable = new DataTable("Customers");
        // 
		DataColumn column; 
		column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
		column.ColumnName = "customer_id";
        column.AutoIncrement = true;
		column.Caption = "Id ";
		column.ReadOnly = false;
		column.Unique = true;
		// 
		FirstTable.Columns.Add(column);

		column = new DataColumn();
        column.DataType = Type.GetType("System.String");
		column.ColumnName = "name";
        column.AutoIncrement = false;
		column.Caption = "";
		column.ReadOnly = true;
		column.Unique = false;
		FirstTable.Columns.Add(column);
        
		// 
        LeonDataSet.Tables.Add(FirstTable);

		// 
		DataRow row;
        row = FirstTable.NewRow();
		row["name"] = "Leonid";
        FirstTable.Rows.Add(row);
        
		row = FirstTable.NewRow();
		row["name"] = "Artem";
        FirstTable.Rows.Add(row);

        row = FirstTable.NewRow();
		row["name"] = "Anonymous";
        FirstTable.Rows.Add(row);

        row = FirstTable.NewRow();
		row["name"] = "Admin";
        FirstTable.Rows.Add(row);
		//    datagrid
		ShowTables.SetDataBinding(LeonDataSet, "Customers");
		DataGridTable CustomersGrid = ShowTables.GridTables["customers"];
		CustomersGrid.DataGrid.ReadOnly = true;
        CustomersGrid.GridColumns[0].BackColor = Color.Blue;//Color.FromARGB(255,100,100);
        CustomersGrid.GridColumns[0].AlternatingBackColor = Color.Blue;
		CustomersGrid.GridColumns[1].Header = "";
		CustomersGrid.GridColumns.Remove(0);
	}

    }
}
